#ifndef KYLIN_SYSTEM_USER_MANUAL_H_
#define KYLIN_SYSTEM_USER_MANUAL_H_

#include <QDBusInterface>

#include "currency.hpp"

namespace kdk
{
namespace kabase
{

class UserManualManagement
{
public:
    UserManualManagement();
    ~UserManualManagement();

    /**
     * @brief 调用用户手册
     *
     * @param appName 应用名
     *
     * @retval true 成功
     * @retval false 失败
     * 
     * @note AppName 只适用与组内应用，其他应用调用需要维护 AppName 枚举
     *       由于调用用户手册接口需要普遍调用, 改用重载的 QString 类型参数 , 该接口不在维护
     *       -jishengjie 2022-04-15
     */
    bool callUserManual(AppName appName);

    /**
     * @brief 调用用户手册
     * 
     * @param appName 应用名
     * 
     * @retval true 成功
     * @retval false 失败
     */
    bool callUserManual(QString appName);

private:
    QString adapterAppName(QString appName);
};

} /* namespace kabase */
} /* namespace kdk */

#endif